libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.131. __nv_float2uint_ru

Prototype:

    i32 @__nv_float2uint_ru(float %in)

Description:

Convert the single-precision floating point value `x` to an unsigned integer in round-up (to positive infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes